Reports & exports
Get Workforce Trends
Workforce trends for Reports: headcount at each month end, joiners, leavers, voluntary and involuntary exits and the turnover rate, overall or for one group, with the same figures by department, country, entity, worker type or tenure.
GEThttps://api.toku.com/hris/get-workforce-trends
Required scope: reports:read
curl --request GET \
--url 'https://api.toku.com/hris/get-workforce-trends' \
--header 'Authorization: Bearer <token>'200 response
{}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
periodstringAvailable options: LAST_6_MONTHS, LAST_12_MONTHS, LAST_24_MONTHS
breakdownstringAvailable options: DEPARTMENT, COUNTRY, ENTITY, WORKER_TYPE, TENURE
workerTypestringAvailable options: ALL, EMPLOYEE, CONTRACTOR
groupKeystringAllowed: 1 to 200 characters
Response
200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits